libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
SmlDsServer Struct Reference
SyncML Datastore Server Object Internals
Collaboration diagram for SmlDsServer:

## Data Fields

SmlLocation * | location
SmlLocation * | target
char * | contenttype
SmlDsServerType | servertype
SmlManager * | manager
SmlDsSessionConnectCb | connectCallback
void * | connectCallbackUserdata
SmlDsServerSanSessionCb | sanSessionCallback
void * | sanSessionCallbackUserdata
SmlDsServerSanCb | sanCallback
void * | sanCallbackUserdata

## Detailed Description

Definition at line 101 of file sml_ds_server_internals.h.

## Field Documentation

SmlLocation* SmlDsServer::target

The target if the ds server is in client mode

Definition at line 104 of file sml_ds_server_internals.h.

Referenced by smlDsSessionCloseMap().

SmlDsSessionConnectCb SmlDsServer::connectCallback

Callback that will get called once a new client connects

Definition at line 110 of file sml_ds_server_internals.h.

Referenced by smlDsServerSetConnectCallback().

The documentation for this struct was generated from the following file:

- /build/buildd/libsyncml-0.5.4/libsyncml/objects/sml_ds_server_internals.h